player_wsn_data Struct Reference

Data (PLAYER_WSN_DATA) More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | node_type
| The type of WSN node. More...
uint32_t | node_id
| The ID of the WSN node. More...
uint32_t | node_parent_id
| The ID of the WSN node's parent (if existing). More...
player_wsn_node_data_t | data_packet
| The WSN node's data packet. More...

## Detailed Description

Data (PLAYER_WSN_DATA)

The WSN data packet describes a wireless sensor network node.

## Member Data Documentation

player_wsn_node_data_t player_wsn_data::data_packet

The WSN node's data packet.

uint32_t player_wsn_data::node_id

The ID of the WSN node.

uint32_t player_wsn_data::node_parent_id

The ID of the WSN node's parent (if existing).

uint32_t player_wsn_data::node_type

The type of WSN node.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45